﻿using RPG.GameCore.Excel.Attributes;
using RPG.GameCore.Types;

namespace RPG.GameCore.Excel;

[ExcelTable("TutorialDataExcelTable.json", ExcelType.TutorialData)]
public class TutorialDataRow : ExcelRow
{
    public override uint Id => TutorialID;

    public uint TutorialID { get; set; } // 0x10
    public string? TutorialJsonPath { get; set; } // 0x18
    public TutorialTriggerParam[] TriggerParams { get; set; } = []; // 0x20
    public TutorialTriggerParam[] FinishTriggerParams { get; set; } = []; // 0x28
}
