﻿namespace RPG.Network.Proto;

public enum CmdType
{
    CmdTypeNone = 0,
    CmdGetLoginActivityCsReq = 2601,
    CmdGetLoginActivityScRsp = 2602,
    CmdTakeLoginActivityRewardCsReq = 2603,
    CmdTakeLoginActivityRewardScRsp = 2604,
    CmdSceneEntityMoveCsReq = 1401,
    CmdSceneEntityMoveScRsp = 1402,
    CmdInteractPropCsReq = 1403,
    CmdInteractPropScRsp = 1404,
    CmdSceneCastSkillCsReq = 1405,
    CmdSceneCastSkillScRsp = 1406,
    CmdGetCurSceneInfoCsReq = 1407,
    CmdGetCurSceneInfoScRsp = 1408,
    CmdSceneEntityUpdateScNotify = 1409,
    CmdSceneEntityDisappearScNotify = 1410,
    CmdSceneEntityMoveScNotify = 1411,
    CmdSpringTransferCsReq = 1414,
    CmdSpringTransferScRsp = 1415,
    CmdUpdateBuffScNotify = 1416,
    CmdDelBuffScNotify = 1417,
    CmdSpringRefreshCsReq = 1418,
    CmdSpringRefreshScRsp = 1419,
    CmdLastSpringRefreshTimeNotify = 1420,
    CmdReturnLastTownCsReq = 1421,
    CmdReturnLastTownScRsp = 1422,
    CmdSceneEnterStageCsReq = 1423,
    CmdSceneEnterStageScRsp = 1424,
    CmdEnterSectionCsReq = 1427,
    CmdEnterSectionScRsp = 1428,
    CmdSetCurInteractEntityCsReq = 1431,
    CmdSetCurInteractEntityScRsp = 1432,
    CmdRecoverAllLineupCsReq = 1433,
    CmdRecoverAllLineupScRsp = 1434,
    CmdSavePointsInfoNotify = 1435,
    CmdStartCocoonStageCsReq = 1436,
    CmdStartCocoonStageScRsp = 1437,
    CmdEntityBindPropCsReq = 1438,
    CmdEntityBindPropScRsp = 1439,
    CmdSetClientPausedCsReq = 1440,
    CmdSetClientPausedScRsp = 1441,
    CmdUpdateBuffGroupStartScNotify = 1442,
    CmdUpdateBuffGroupEndScNotify = 1443,
    CmdActivateFarmElementCsReq = 1445,
    CmdActivateFarmElementScRsp = 1446,
    CmdGetSpringRecoverDataCsReq = 1447,
    CmdGetSpringRecoverDataScRsp = 1448,
    CmdSetSpringRecoverConfigCsReq = 1449,
    CmdSetSpringRecoverConfigScRsp = 1450,
    CmdSpringRecoverCsReq = 1451,
    CmdSpringRecoverScRsp = 1452,
    CmdHealPoolInfoNotify = 1453,
    CmdEnterAdventureCsReq = 1301,
    CmdEnterAdventureScRsp = 1302,
    CmdGetArchiveDataCsReq = 2301,
    CmdGetArchiveDataScRsp = 2302,
    CmdGetUpdatedArchiveDataCsReq = 2303,
    CmdGetUpdatedArchiveDataScRsp = 2304,
    CmdGetAvatarDataCsReq = 301,
    CmdGetAvatarDataScRsp = 302,
    CmdAvatarExpUpCsReq = 303,
    CmdAvatarExpUpScRsp = 304,
    CmdUnlockSkilltreeCsReq = 305,
    CmdUnlockSkilltreeScRsp = 306,
    CmdPromoteAvatarCsReq = 307,
    CmdPromoteAvatarScRsp = 308,
    CmdDressAvatarCsReq = 309,
    CmdDressAvatarScRsp = 310,
    CmdTakeOffEquipmentCsReq = 311,
    CmdTakeOffEquipmentScRsp = 312,
    CmdAddAvatarScNotify = 313,
    CmdRankUpAvatarCsReq = 314,
    CmdRankUpAvatarScRsp = 315,
    CmdDressRelicAvatarCsReq = 316,
    CmdDressRelicAvatarScRsp = 317,
    CmdTakeOffRelicCsReq = 318,
    CmdTakeOffRelicScRsp = 319,
    CmdPVEBattleResultCsReq = 101,
    CmdPVEBattleResultScRsp = 102,
    CmdQuitBattleCsReq = 103,
    CmdQuitBattleScRsp = 104,
    CmdGetCurBattleInfoCsReq = 105,
    CmdGetCurBattleInfoScRsp = 106,
    CmdSyncClientResVersionCsReq = 107,
    CmdSyncClientResVersionScRsp = 108,
    CmdQuitBattleScNotify = 109,
    CmdGetMazeCsReq = 1001,
    CmdGetMazeScRsp = 1002,
    CmdChooseMazeSeriesCsReq = 1003,
    CmdChooseMazeSeriesScRsp = 1004,
    CmdChooseMazeAbilityCsReq = 1005,
    CmdChooseMazeAbilityScRsp = 1006,
    CmdEnterMazeCsReq = 1007,
    CmdEnterMazeScRsp = 1008,
    CmdMazeBuffScNotify = 1011,
    CmdCastMazeSkillCsReq = 1012,
    CmdCastMazeSkillScRsp = 1013,
    CmdMazePlaneEventScNotify = 1014,
    CmdEnterMazeByServerScNotify = 1015,
    CmdGetMazeMapInfoCsReq = 1016,
    CmdGetMazeMapInfoScRsp = 1017,
    CmdGetMazeTimeOfDayCsReq = 1018,
    CmdGetMazeTimeOfDayScRsp = 1019,
    CmdSetMazeTimeOfDayCsReq = 1020,
    CmdSetMazeTimeOfDayScRsp = 1021,
    CmdDelMazeTimeOfDayCsReq = 1022,
    CmdDelMazeTimeOfDayScRsp = 1023,
    CmdReturnStartAnchorCsReq = 1024,
    CmdReturnStartAnchorScRsp = 1025,
    CmdGetStageLineupCsReq = 701,
    CmdGetStageLineupScRsp = 702,
    CmdGetCurLineupDataCsReq = 703,
    CmdGetCurLineupDataScRsp = 704,
    CmdJoinLineupCsReq = 705,
    CmdJoinLineupScRsp = 706,
    CmdQuitLineupCsReq = 707,
    CmdQuitLineupScRsp = 708,
    CmdSwapLineupCsReq = 709,
    CmdSwapLineupScRsp = 710,
    CmdSyncLineupNotify = 711,
    CmdGetLineupAvatarDataCsReq = 712,
    CmdGetLineupAvatarDataScRsp = 713,
    CmdChangeLineupLeaderCsReq = 714,
    CmdChangeLineupLeaderScRsp = 715,
    CmdSwitchLineupIndexCsReq = 716,
    CmdSwitchLineupIndexScRsp = 717,
    CmdSetLineupNameCsReq = 718,
    CmdSetLineupNameScRsp = 719,
    CmdGetAllLineupDataCsReq = 720,
    CmdGetAllLineupDataScRsp = 721,
    CmdVirtualLineupDestroyNotify = 722,
    CmdGetChallengeCsReq = 1701,
    CmdGetChallengeScRsp = 1702,
    CmdStartChallengeCsReq = 1703,
    CmdStartChallengeScRsp = 1704,
    CmdLeaveChallengeCsReq = 1705,
    CmdLeaveChallengeScRsp = 1706,
    CmdChallengeSettleNotify = 1707,
    CmdFinishChallengeCsReq = 1708,
    CmdFinishChallengeScRsp = 1709,
    CmdGetCurChallengeCsReq = 1710,
    CmdGetCurChallengeScRsp = 1711,
    CmdChallengeLineupNotify = 1712,
    CmdTakeChallengeTargetRewardCsReq = 1713,
    CmdTakeChallengeTargetRewardScRsp = 1714,
    CmdGetRogueInfoCsReq = 1801,
    CmdGetRogueInfoScRsp = 1802,
    CmdStartRogueCsReq = 1803,
    CmdStartRogueScRsp = 1804,
    CmdEnterRogueCsReq = 1805,
    CmdEnterRogueScRsp = 1806,
    CmdLeaveRogueCsReq = 1807,
    CmdLeaveRogueScRsp = 1808,
    CmdSyncRogueBuffSelectInfoScNotify = 1809,
    CmdSelectRogueBuffCsReq = 1810,
    CmdSelectRogueBuffScRsp = 1811,
    CmdRollRogueBuffCsReq = 1812,
    CmdRollRogueBuffScRsp = 1813,
    CmdEnterNextRogueRoomScNotify = 1814,
    CmdSyncRogueFinishScNotify = 1815,
    CmdPickRogueAvatarCsReq = 1816,
    CmdPickRogueAvatarScRsp = 1817,
    CmdAddRogueBuffScNotify = 1818,
    CmdReviveRogueAvatarCsReq = 1819,
    CmdReviveRogueAvatarScRsp = 1820,
    CmdSaveRogueRecordCsReq = 1821,
    CmdSaveRogueRecordScRsp = 1822,
    CmdRecoverRogueStaminaCsReq = 1823,
    CmdRecoverRogueStaminaScRsp = 1824,
    CmdStartRogueChallengeCsReq = 1827,
    CmdStartRogueChallengeScRsp = 1828,
    CmdLeaveRogueChallengeCsReq = 1829,
    CmdLeaveRogueChallengeScRsp = 1830,
    CmdSyncRogueChallengeFinishScNotify = 1831,
    CmdQuitRogueCsReq = 1832,
    CmdQuitRogueScRsp = 1833,
    CmdAppraisalRogueStoneCsReq = 1834,
    CmdAppraisalRogueStoneScRsp = 1835,
    CmdSyncRogueSeasonFinishScNotify = 1836,
    CmdSyncRogueInfoChangeScNotify = 1837,
    CmdAddRogueExtraBuffScNotify = 1838,
    CmdEnterRogueMapRoomCsReq = 1839,
    CmdEnterRogueMapRoomScRsp = 1840,
    CmdEnterRogueNextLevelCsReq = 1841,
    CmdEnterRogueNextLevelScRsp = 1842,
    CmdSyncRogueMapRoomScNotify = 1843,
    CmdSyncRoguePickAvatarScNotify = 1844,
    CmdSetRogueBlessCsReq = 1845,
    CmdSetRogueBlessScRsp = 1846,
    CmdSyncRogueBlessScNotify = 1847,
    CmdGetRogueShopInfoCsReq = 1848,
    CmdGetRogueShopInfoScRsp = 1849,
    CmdBuyRogueShopBuffCsReq = 1850,
    CmdBuyRogueShopBuffScRsp = 1851,
    CmdFinishRogueDialogueGroupCsReq = 1852,
    CmdFinishRogueDialogueGroupScRsp = 1853,
    CmdUnlockRogueRoomCsReq = 1856,
    CmdUnlockRogueRoomScRsp = 1857,
    CmdGetRogueGachaInfoCsReq = 1858,
    CmdGetRogueGachaInfoScRsp = 1859,
    CmdSetRogueGachaWishListCsReq = 1860,
    CmdSetRogueGachaWishListScRsp = 1861,
    CmdDoRogueGachaCsReq = 1862,
    CmdDoRogueGachaScRsp = 1863,
    CmdSyncRogueGachaRefreshScNotify = 1864,
    CmdBuyRogueShopItemCsReq = 1865,
    CmdBuyRogueShopItemScRsp = 1866,
    CmdGetRogueAppraisalItemInfoCsReq = 1867,
    CmdGetRogueAppraisalItemInfoScRsp = 1868,
    CmdSyncRogueMiracleGetItemScNotify = 1869,
    CmdGetDialogueEventDataCsReq = 2401,
    CmdGetDialogueEventDataScRsp = 2402,
    CmdSelectDialogueEventCsReq = 2403,
    CmdSelectDialogueEventScRsp = 2404,
    CmdSyncDialogueEventDataScNotify = 2405,
    CmdGetExpeditionDataCsReq = 2501,
    CmdGetExpeditionDataScRsp = 2502,
    CmdAcceptExpeditionCsReq = 2503,
    CmdAcceptExpeditionScRsp = 2504,
    CmdCancelExpeditionCsReq = 2505,
    CmdCancelExpeditionScRsp = 2506,
    CmdTakeExpeditionRewardCsReq = 2507,
    CmdTakeExpeditionRewardScRsp = 2508,
    CmdGetGachaInfoCsReq = 1901,
    CmdGetGachaInfoScRsp = 1902,
    CmdDoGachaCsReq = 1903,
    CmdDoGachaScRsp = 1904,
    CmdGetBagCsReq = 501,
    CmdGetBagScRsp = 502,
    CmdPromoteEquipmentCsReq = 503,
    CmdPromoteEquipmentScRsp = 504,
    CmdLockEquipmentCsReq = 505,
    CmdLockEquipmentScRsp = 506,
    CmdUseItemCsReq = 507,
    CmdUseItemScRsp = 508,
    CmdRankUpEquipmentCsReq = 509,
    CmdRankUpEquipmentScRsp = 510,
    CmdExpUpEquipmentCsReq = 511,
    CmdExpUpEquipmentScRsp = 512,
    CmdComposeItemCsReq = 513,
    CmdComposeItemScRsp = 514,
    CmdExpUpRelicCsReq = 515,
    CmdExpUpRelicScRsp = 516,
    CmdLockRelicCsReq = 517,
    CmdLockRelicScRsp = 518,
    CmdSellItemCsReq = 519,
    CmdSellItemScRsp = 520,
    CmdRechargeSuccNotify = 521,
    CmdGetMailCsReq = 801,
    CmdGetMailScRsp = 802,
    CmdMarkReadMailCsReq = 803,
    CmdMarkReadMailScRsp = 804,
    CmdDelMailCsReq = 805,
    CmdDelMailScRsp = 806,
    CmdTakeMailAttachmentCsReq = 807,
    CmdTakeMailAttachmentScRsp = 808,
    CmdNewMailScNotify = 809,
    CmdGetMissionDataCsReq = 1201,
    CmdGetMissionDataScRsp = 1202,
    CmdFinishTalkMissionCsReq = 1203,
    CmdFinishTalkMissionScRsp = 1204,
    CmdMissionRewardScNotify = 1205,
    CmdSyncTaskCsReq = 1206,
    CmdSyncTaskScRsp = 1207,
    CmdDailyTaskDataScNotify = 1208,
    CmdTakeDailyTaskExtraRewardCsReq = 1209,
    CmdTakeDailyTaskExtraRewardScRsp = 1210,
    CmdDailyTaskRewardScNotify = 1211,
    CmdMissionGroupWarnScNotify = 1212,
    CmdFinishCosumeItemMissionCsReq = 1213,
    CmdFinishCosumeItemMissionScRsp = 1214,
    CmdGetMissionEventDataCsReq = 1215,
    CmdGetMissionEventDataScRsp = 1216,
    CmdMissionEventRewardScNotify = 1217,
    CmdAcceptMissionEventCsReq = 1218,
    CmdAcceptMissionEventScRsp = 1219,
    CmdGetMissionStatusCsReq = 1220,
    CmdGetMissionStatusScRsp = 1221,
    CmdInterruptMissionEventCsReq = 1222,
    CmdInterruptMissionEventScRsp = 1223,
    CmdSetMissionEventProgressCsReq = 1224,
    CmdSetMissionEventProgressScRsp = 1225,
    CmdSubMissionRewardScNotify = 1226,
    CmdPlayerLoginCsReq = 1,
    CmdPlayerLoginScRsp = 2,
    CmdPlayerLogoutCsReq = 3,
    CmdPlayerLogoutScRsp = 4,
    CmdPlayerGetTokenCsReq = 5,
    CmdPlayerGetTokenScRsp = 6,
    CmdPlayerKeepAliveNotify = 7,
    CmdGmTalkScNotify = 8,
    CmdPlayerKickOutScNotify = 9,
    CmdGmTalkCsReq = 10,
    CmdGmTalkScRsp = 11,
    CmdGetStaminaExchangeCsReq = 12,
    CmdGetStaminaExchangeScRsp = 13,
    CmdExchangeStaminaCsReq = 14,
    CmdExchangeStaminaScRsp = 15,
    CmdGetAuthkeyCsReq = 16,
    CmdGetAuthkeyScRsp = 17,
    CmdRegionStopScNotify = 18,
    CmdAntiAddictScNotify = 19,
    CmdSetNicknameCsReq = 20,
    CmdSetNicknameScRsp = 21,
    CmdGetLevelRewardTakenListCsReq = 22,
    CmdGetLevelRewardTakenListScRsp = 23,
    CmdGetLevelRewardCsReq = 24,
    CmdGetLevelRewardScRsp = 25,
    CmdSyncTimeCsReq = 26,
    CmdSyncTimeScRsp = 27,
    CmdSetLanguageCsReq = 28,
    CmdSetLanguageScRsp = 29,
    CmdServerAnnounceNotify = 30,
    CmdSetHeroBasicTypeCsReq = 31,
    CmdSetHeroBasicTypeScRsp = 32,
    CmdGetHeroBasicTypeInfoCsReq = 33,
    CmdGetHeroBasicTypeInfoScRsp = 34,
    CmdGetHeroPathCsReq = 35,
    CmdGetHeroPathScRsp = 36,
    CmdHeroPathChangedNotify = 37,
    CmdSetGenderCsReq = 38,
    CmdSetGenderScRsp = 39,
    CmdSetPlayerInfoCsReq = 40,
    CmdSetPlayerInfoScRsp = 41,
    CmdHeroBasicTypeChangedNotify = 42,
    CmdQueryProductInfoCsReq = 43,
    CmdQueryProductInfoScRsp = 44,
    CmdClientDownloadDataScNotify = 45,
    CmdUpdateFeatureSwitchScNotify = 46,
    CmdFinishPlotCsReq = 1101,
    CmdFinishPlotScRsp = 1102,
    CmdGetPrestigeInfoCsReq = 2001,
    CmdGetPrestigeInfoScRsp = 2002,
    CmdPrestigeInfoChangeNotify = 2003,
    CmdTakePrestigeLevelRewardCsReq = 2004,
    CmdTakePrestigeLevelRewardScRsp = 2005,
    CmdTakePrestigeMissionRewardCsReq = 2006,
    CmdTakePrestigeMissionRewardScRsp = 2007,
    CmdGetQuestDataCsReq = 901,
    CmdGetQuestDataScRsp = 902,
    CmdTakeQuestRewardCsReq = 903,
    CmdTakeQuestRewardScRsp = 904,
    CmdTakeAchievementLevelRewardCsReq = 905,
    CmdTakeAchievementLevelRewardScRsp = 906,
    CmdStartRaidCsReq = 2201,
    CmdStartRaidScRsp = 2202,
    CmdLeaveRaidCsReq = 2203,
    CmdLeaveRaidScRsp = 2204,
    CmdRaidInfoNotify = 2205,
    CmdGetChallengeRaidInfoCsReq = 2206,
    CmdGetChallengeRaidInfoScRsp = 2207,
    CmdTakeChallengeRaidRewardCsReq = 2208,
    CmdTakeChallengeRaidRewardScRsp = 2209,
    CmdChallengeRaidNotify = 2210,
    CmdGetShopListCsReq = 1501,
    CmdGetShopListScRsp = 1502,
    CmdBuyGoodsCsReq = 1503,
    CmdBuyGoodsScRsp = 1504,
    CmdGetStageDataCsReq = 201,
    CmdGetStageDataScRsp = 202,
    CmdStageBeginCsReq = 203,
    CmdStageBeginScRsp = 204,
    CmdPlayerSyncScNotify = 601,
    CmdGetNpcTakenRewardCsReq = 2101,
    CmdGetNpcTakenRewardScRsp = 2102,
    CmdTakeTalkRewardCsReq = 2103,
    CmdTakeTalkRewardScRsp = 2104,
    CmdGetFirstTalkNpcCsReq = 2105,
    CmdGetFirstTalkNpcScRsp = 2106,
    CmdFinishFirstTalkNpcCsReq = 2107,
    CmdFinishFirstTalkNpcScRsp = 2108,
    CmdGetTutorialCsReq = 1601,
    CmdGetTutorialScRsp = 1602,
    CmdGetTutorialGuideCsReq = 1603,
    CmdGetTutorialGuideScRsp = 1604,
    CmdUnlockTutorialCsReq = 1605,
    CmdUnlockTutorialScRsp = 1606,
    CmdUnlockTutorialGuideCsReq = 1607,
    CmdUnlockTutorialGuideScRsp = 1608,
    CmdFinishTutorialCsReq = 1609,
    CmdFinishTutorialScRsp = 1610,
    CmdFinishTutorialGuideCsReq = 1611,
    CmdFinishTutorialGuideScRsp = 1612,
    CmdGetWaypointCsReq = 401,
    CmdGetWaypointScRsp = 402,
    CmdSetCurWaypointCsReq = 403,
    CmdSetCurWaypointScRsp = 404,
    CmdGetChapterCsReq = 405,
    CmdGetChapterScRsp = 406,
    CmdWaypointShowNewCsNotify = 407,
    CmdTakeChapterRewardCsReq = 408,
    CmdTakeChapterRewardScRsp = 409,
}