﻿using RPG.Network.Proto;

namespace RPG.Services.Core.Network.Command;
public class ServiceCommand
{
    public RPGServiceType SenderType { get; }
    public ServiceCommandType CommandType { get; }
    public ReadOnlyMemory<byte> Body { get; }

    public ServiceCommand(RPGServiceType sender, ServiceCommandType commandType, ReadOnlyMemory<byte> body)
    {
        SenderType = sender;
        CommandType = commandType;
        Body = body;
    }
}
